"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Log = exports.RESET_STYLE = exports.BOLD_YELLOW_FOREGROUND = exports.BOLD_BLUE_FOREGROUND = exports.BOLD_RED_FOREGROUND = void 0;
exports.BOLD_RED_FOREGROUND = "\x1b[1;31m";
exports.BOLD_BLUE_FOREGROUND = "\x1b[1;34m";
exports.BOLD_YELLOW_FOREGROUND = "\x1b[1;93m";
exports.RESET_STYLE = "\x1b[0m";
class Log {
    info(...message) {
        console.log(`${exports.BOLD_BLUE_FOREGROUND}[INFO]${exports.RESET_STYLE}`, ...message);
    }
    ;
    error(...message) {
        console.error(`${exports.BOLD_RED_FOREGROUND}[ERROR]${exports.RESET_STYLE}`, ...message);
    }
    ;
    warn(...message) {
        console.error(`${exports.BOLD_YELLOW_FOREGROUND}[WARNING]${exports.RESET_STYLE}`, ...message);
    }
    ;
}
exports.Log = Log;
;
